POSIX_SPAWNATTR_SETSIGDEFAULT(3)

NAME
posix_spawnattr_setsigdefault posix_spawnattr_getsigdefault - set or get the spawn-sigdefault attribute on a posix_spawnattr_t

SYNOPSIS
#include <spawn.h>
int
posix_spawnattr_setsigdefault(posix_spawnattr_t *restrict attr, const sigset_t *restrict sigdefault);
int
posix_spawnattr_getsigdefault(const posix_spawnattr_t *restrict attr, sigset_t *restrict sigdefault);

DESCRIPTION
The posix_spawnattr_setsigdefault() function sets the sigdefault on the attributes object referenced by attr.

The posix_spawnattr_getsigdefault() function retrieves the sigdefault on the attributes object referenced by attr.

The argument sigdefault is the set of signals to be returned to default behaviour in the new process on creation if the POSIX_SPAWN_SETSIGDEF flag is set in the posix_spawnattr_t. It's default value must be set via a call to posix_spawnattr_setflags(3) or the behaviour is undefined.

RETURN VALUES
On success, these functions return 0; on failure they return an error number from <errno.h>. Additionally, if successful, posix_spawnattr_getsigdefault() will modify the contents of the sigdefault parameter with the current attribute value.

ERRORS
These functions may fail if:

[EINVAL]
    The value specified by attr is invalid.

[EINVAL]
    The value of attr is invalid.

SEE ALSO
posix_spawn(2), posix_spawnp(2), posix_spawnattr_init(3), posix_spawnattr_destroy(3), posix_spawnattr_setflags(3)

STANDARDS
susv3 [SPN]

HISTORY
The posix_spawnattr_setsigdefault() and posix_spawnattr_getsigdefault() function calls appeared in susv3 [SPN].